Get Events
curl --request GET \
--url 'https://api.finvera.news/delivery/api/v1/events?apikey='import requests
url = "https://api.finvera.news/delivery/api/v1/events?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.finvera.news/delivery/api/v1/events?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"event_id": "4be8fed5-f9db-41ef-a107-c20c3339998d",
"title": "Example Corp reports Q1 earnings beat",
"headline": "Example Corp tops Q1 estimates on strong product demand.",
"description": "Example Corp reported quarterly earnings that exceeded analyst expectations, driven by higher product demand and improved operating margins.",
"symbol": "EXMP",
"exchange": "XNAS",
"figis": [
"BBG000BXXXXX"
],
"event_type": "EARNINGS",
"source": "PRESS_RELEASE",
"sentiment": 0.82,
"occurred_at": "2025-04-23T11:34:15-04:00",
"created_at": "2025-04-23T15:34:15Z",
"updated_at": "2025-04-23T15:34:15Z",
"securities": [
{
"figi": "BBG000BXXXXX",
"isin": "US0000000000",
"name": "EXAMPLE CORP",
"symbol": "EXMP",
"mic_code": "XNAS",
"figi_composite": "BBG000BXXXXX",
"figi_share_class": "BBG001SXXXXX",
"refinitiv_exch_code": "NAS"
}
]
}
],
"message": "Successfully fetched events",
"pagination": {
"hits": 1,
"page": 1,
"page_count": 1,
"page_size": 18
}
}
Events
Get Events
Get a paginated list of events.
GET
/
api
/
v1
/
events
Get Events
{
"data": [
{
"event_id": "4be8fed5-f9db-41ef-a107-c20c3339998d",
"title": "Example Corp reports Q1 earnings beat",
"headline": "Example Corp tops Q1 estimates on strong product demand.",
"description": "Example Corp reported quarterly earnings that exceeded analyst expectations, driven by higher product demand and improved operating margins.",
"symbol": "EXMP",
"exchange": "XNAS",
"figis": [
"BBG000BXXXXX"
],
"event_type": "EARNINGS",
"source": "PRESS_RELEASE",
"sentiment": 0.82,
"occurred_at": "2025-04-23T11:34:15-04:00",
"created_at": "2025-04-23T15:34:15Z",
"updated_at": "2025-04-23T15:34:15Z",
"securities": [
{
"figi": "BBG000BXXXXX",
"isin": "US0000000000",
"name": "EXAMPLE CORP",
"symbol": "EXMP",
"mic_code": "XNAS",
"figi_composite": "BBG000BXXXXX",
"figi_share_class": "BBG001SXXXXX",
"refinitiv_exch_code": "NAS"
}
]
}
],
"message": "Successfully fetched events",
"pagination": {
"hits": 1,
"page": 1,
"page_count": 1,
"page_size": 18
}
}
Authorizations
Query Parameters
Filter by stock symbol
Example:
"AAPL"
from date in ISO 8601 format, YYYY-MM-DDTHH:MM:SS
Example:
"2025-05-02T00:00:00"
to date in ISO 8601 format, YYYY-MM-DDTHH:MM:SS
Example:
"2025-05-02T00:00:00"
page number for pagination
Example:
"1"
page size for pagination
Example:
"18"
include linked securities data in the response
Example:
true
⌘I